Deploy vb.net Application on a different nero version

Sorry !
i have a problem i’ve developed a vb.net application using nero 6.6.1.15 smartstart , the version of interop.nerolib.dll is 1.4
now my problem is in the customer machine there is installed e new nero version the 7

and the application fails !
my question is how to solve the problem ?
is a classical registration of dll ?
or some other things ?

thanks in advance !
flavio miano